%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: Terminal emulator that uses modern EFL
Name:    terminology
Version: 1.8.1
Release: %mkrel 1
License: LGPLv2+
Group:   Graphical desktop/Enlightenment
Source0: %name-%version.tar.xz
Source1: %name-root.desktop
Source2: org.pclinuxos.%{name}.policy
URL:     http://www.enlightenment.org/

BuildRequires: meson
BuildRequires: ninja
BuildRequires: efl-devel

Requires: efl
Requires: policykit
Requires: polkit

%description
Terminology is a terminal emulator that uses modern EFL components 
to build its UI and core. It is written from scratch and does not 
use any components outside of EFL and libc, so it should be very 
portable and easy to build. For more information, please see the
Terminology Page.

%package root
Summary: root terminal for %name
Group: Graphical desktop/Enlightenment
Requires: %name
BuildArch: noarch

%description root
Root terminal for %{name}

%prep
%setup -qn %name-%version

%build
meson --prefix=%{_prefix} --libdir=%{_libdir} --localedir=%{_datadir}/locale . build
meson configure build
ninja -C build

%install
DESTDIR=%{buildroot} ninja -C build install

#root terminal
install -m 0644 %SOURCE1 %buildroot%{_datadir}/applications/%name-root.desktop

#policykit
install -Dm 0644 %SOURCE2 %buildroot/%_datadir/polkit-1/actions/org.pclinuxos.%{name}.policy

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-TerminalEmulator" \
  --dir %buildroot%{_datadir}/applications %buildroot%{_datadir}/applications/*

find %buildroot -name *.la -delete

%find_lang %name


%files -f %name.lang
%doc AUTHORS NEWS README.md DESIGN.md
%{_bindir}/%name
%{_bindir}/tyalpha
%{_bindir}/tybg
%{_bindir}/tycat
%{_bindir}/tyls
%{_bindir}/typop
%{_bindir}/tyq
%{_bindir}/tysend
%{_datadir}/%name
%{_iconsdir}/hicolor/128x128/apps/%name.png
%{_datadir}/applications/%name.desktop
%{_mandir}/*/*

%files root
%defattr(-,root,root,-)
%{_datadir}/applications/%{name}-root.desktop
%_datadir/polkit-1/actions/org.pclinuxos.%{name}.policy

%changelog
* Sat Aug 15 2020 tex - 1.8.1-1pclos2020
- new version

* Sun Jul 26 2020 tex - 1.8.0-1pclos2020
- new version

* Wed May 20 2020 tex - 1.7.0-1pclos2020
- new version

* Wed Oct 02 2019 tex - 1.5.0-2pclos2019
- use policykit on root terminal access

* Sat Sep 28 2019 tex - 1.5.0-1pclos2019
- new version
